aboutsummaryrefslogtreecommitdiff
path: root/mk/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mk/run-test.sh')
-rwxr-xr-xmk/run-test.sh17
1 files changed, 2 insertions, 15 deletions
diff --git a/mk/run-test.sh b/mk/run-test.sh
index 219c8577f..1a1d65930 100755
--- a/mk/run-test.sh
+++ b/mk/run-test.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -u
+set -eu -o pipefail
red=""
green=""
@@ -22,24 +22,11 @@ fi
run_test () {
(init_test 2>/dev/null > /dev/null)
- log="$(run_test_proper 2>&1)"
- status=$?
+ log="$(run_test_proper 2>&1)" && status=0 || status=$?
}
run_test
-# Hack: Retry the test if it fails with “unexpected EOF reading a line” as these
-# appear randomly without anyone knowing why.
-# See https://github.com/NixOS/nix/issues/3605 for more info
-if [[ $status -ne 0 && $status -ne 99 && \
- "$(uname)" == "Darwin" && \
- "$log" =~ "unexpected EOF reading a line" \
-]]; then
- echo "$post_run_msg [${yellow}FAIL$normal] (possibly flaky, so will be retried)"
- echo "$log" | sed 's/^/ /'
- run_test
-fi
-
if [ $status -eq 0 ]; then
echo "$post_run_msg [${green}PASS$normal]"
elif [ $status -eq 99 ]; then